html, body{display: block; position: relative;margin: 0; padding: 0; font: 16px/16px helvetica,arial,sans-serif; overflow: hidden}
html{width: 100%;height: 100%; overflow: hidden;}
body{width: 100%;height: 100%; overflow: hidden;}

a{text-decoration: none; color: inherit;}
img{width: auto; height: auto; max-width: 100%; max-height: 100%; border: none}
input, button{border: none; padding: 0; margin: 0; appearance: normal; -webkit-user-select: text;}
button, input[type=submit]{padding: 8px 30px !important; border-radius: 1px !important;text-align: center; font-size: 15px; cursor: pointer;}
p{margin: 0; padding: 0; -webkit-margin-after: 0; -webkit-margin-before: 0;}

/********* App body *********/
.welement{display:block; height: 100%; width: 100%;}
#wtop{top: 0; left: 0;}
#wbody{background-color: white; overflow: auto; z-index: 0}  /** Pendiente de quitarlo **/


/***************************** Header *****************************/
/******************************************************************/
.headerBarMenuTopImage{display: block; width: 100%; height: 5px !important; background-image: url("./images/topbar.png");
						background-size: auto 5px; background-repeat: repeat-x; z-index: 1;}

/*****************/
/***** Loader ****/
#wtopLoaderContainer{display: block; position: relative; margin-top: 200px;}
#loadingWait{display: inline-block; position: relative; border: 8px solid #000; border-radius: 50%; border-top: 8px solid #efe31a;
	border-bottom: 8px solid #efe31a; width: 40px; height: 40px; -webkit-animation: spin 1000ms linear infinite;
	animation: spin 1000ms linear infinite;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}


/**************/
/**** Msg *****/
#wtop{display: none; position: absolute; z-index: 15;}
.wtop{display: none; position: absolute; z-index: 15;}
    #wtopOpacity{display: block; position: absolute; width: 100%; height: 100%; background-color: #eee; opacity: 0.7}
    .wtopOpacity{display: block; position: absolute; width: 100%; height: 100%; background-color: #eee; opacity: 0.7}
    #wtopContainer{display: block; position: relative; width: 100%; height: 100%; background-color: transparent; text-align: center;}
    .wtopContainer{display: block; position: relative; width: 100%; height: 100%; background-color: transparent; text-align: center;}
        .wtopMsgContainer{display: inline-block; position: relative; margin-top: 80px; min-width: 200px; max-width: 500px;
                         padding: 20px; background-color: #fff; overflow: auto;-webkit-box-shadow: 0px 0px 20px 3px rgba(0,0,0,0.55);-moz-box-shadow: 0px 0px 20px 3px rgba(0,0,0,0.55);
						box-shadow: 0px 0px 20px 3px rgba(0,0,0,0.55);}
            .wtopMsgTextContainer{min-height: 50px;max-height: 200px; margin-bottom: 10px; text-align: left}
                #wtopMsgText{color: #111; font-size: 16px; line-height: 18px;}
                #wtopMsgText .wtopMsgTextImageContainer{width: 200px; height: auto; max-height: 150px; margin: 20px; text-align: center;}
                	#wtopMsgText img{max-height: 150px;}
                	#wtopMsgText a{color: #189CD9 !important;}
            .wtopMessageButtonsContainer{display: block; position: relative;}
            	.wtopMessageButton{display: block; position: relative; padding: 5px 10px; margin: 5px auto 10px; min-width: 200px; font-size: 15px; background-color: #008F40; color: #fff;}
	            #wtopCloseButton{ background-color: #189CD9; color: white}


#wrapper{display: block; position:relative; margin: 0}
    .wrapperElement{display: block; position: relative; width: 900px;}
    .wrapperElementSeparator{height: 10px; width: 100%; background-color: #189CD9;}



/*********************/
/***** Structure *****/
#wrapper{display: block; position:relative; margin: 0; width: 100%; height: 100%;}
	#wrapperOpaqueContainer{display: none; position: absolute; width: 100%; height: 100%; z-index: 8; background-color: #eee; opacity: 0.6}

    .wrapperElement{display: block; position: relative; width: auto !important;}
    	.wrapperElementBlockData{display: block; position: relative; width: 97%; height: 100%; max-width: 1024px; min-width: 950px; margin: 0 auto; padding-bottom: 20px;}
    		.wrapperBlockSideContainer{background-color: white;}

    		.wrapperBlockLeftContainer_60_40{display: inline-block; position: relative; width: 58%; margin-right: 2%; vertical-align: top; z-index: 0}
    		.wrapperBlockRightContainer_60_40{display: inline-block; position: relative; width: 39%; vertical-align: top;  z-index: 2}

    		.wrapperBlockLeftContainer_65_35{display: inline-block; position: relative; width: 63%; margin-right: 2%; vertical-align: top;  z-index: 0}
    		.wrapperBlockRightContainer_65_35{display: inline-block; position: relative; width: 33%; vertical-align: top;  z-index: 2}

    		.wrapperBlockLeftContainer_70_30{display: inline-block; position: relative; width: 68%; margin-right: 2%; vertical-align: top;  z-index: 0}
    		.wrapperBlockRightContainer_70_30{display: inline-block; position: relative; width: 29%; vertical-align: top;  z-index: 2}
    		.wrapperBlockListContainer{display: block; position: relative; height: 85%; overflow: auto;}

    .wrapperElement.wrapperFullElement{width: 100%; max-width: 100%; margin: 0 auto;}
    .wrapperElement.wrapperDropElement{width: 100%; max-width: 1024;}

    .wrapperElementSeparator{height: 10px; width: 100%; background-color: #189CD9;}


	/* Header bar color */
	#headerBarMenuSeparatorImage{position: fixed; width: 100% !important; top: 0; height: 5px !important; margin: 0 0 !important; background-image: url("https://sellers.gmlfideliza.com/assets/image/topbar.png"); background-size: auto 5px; background-repeat: repeat-x; z-index: 10;}


	/* Header bar user */
    #headerBarMenu{position: fixed; width: 100% !important; height:27px; top: 0px; font-size: 15px; margin: 0 auto !important; background-color: #189CD9; color: #fff; z-index: 10;}
        #headerBarMenuSModeContainer{display: inline-block; padding: 6px 10px 6px 0;}
            #userIndexNav{}
        #headerBarMenuIdentityContainer{float: right; padding: 6px 0px 6px 10px;}
            #userIdentityClose:hover{text-decoration: underline}


	/* Header */
    #header{position: fixed; width: 100% !important; height: 65px; margin: 0px auto 5px !important; top: 27px; z-index: 10; background-color: #fff;
    		-webkit-box-shadow: 0px 4px 9px 0px rgba(68,68,68,0.40);-moz-box-shadow: 0px 4px 9px 0px rgba(68,68,68,0.40);box-shadow: 0px 4px 9px 0px rgba(68,68,68,0.40);}
        .headerElement{display: inline-block;}
        .headerLogoImageContainer{display: inline-block; position: relative; height: 50px; margin: 8px 0 0; padding: 0;}
        .headerMenuContainer{float: right; margin-top: 10px;}
        	.headerMenuElement{display: inline-block; padding: 16px;}
        		.haderMenuElementNameLinkContainer{}
        		.haderMenuElementNameLinkSelected{text-decoration: underline;}
        			.headerMenuElementLink{}
        				.headerMenuElementName{font-size: 16px; color: #189CD9; cursor: pointer;}
        				.headerMenuElementName:hover{text-decoration: underline;}


 	/* Main */
    #main{margin: 0 auto; height: calc(100% - 190px); padding-top: 110px; overflow: auto;}


    /* Footer */
    #footer{display: block; position: relative; height: 80px; background-color: #189CD9; min-height: 20px; font-size: 0; }
    	.footerElementBlockData{display: block; position: relative; width: 97%; max-width: 1024px; margin: 0 auto;}
    		.footerElementBlockData a:hover{text-decoration: underline;}

    		.footerFourDataColumn:first-child{margin-left: 0px;}
    		.footerFourDataColumn:last-child{margin-right: 0px;}
    		.footerFourDataColumn{display: inline-block; margin: 10px 2%; width: 21%; min-height: 10px;  vertical-align: top;}

    		.footerDataSingleColumn{display: block; position: relative; color: #fff; font-size: 14px;}

    		.footerDataColumnTitle{margin: 0; margin-bottom: 10px; font-size: 16px;}
    		.footerDataColumnText{line-height: 1.25em; font-size: 14px;}

    		.footerCopyrightData{text-align: left; color: #fff;}


/** Lines Inputs structure **/
/*******************************************************************/
.dataLineSeparator{display: block; position: relative; margin: 25px 0px 15px 0px; text-align: left; font-size: 15px; color: #fff;
				   font-weight: bold; background-color: #444; background-color: #444; padding: 8px 10px 5px; border-radius: 2px; border-top: 1px solid #fff;
				   -webkit-box-shadow: 0px 5px 6px -4px rgba(0, 0, 0, 0.75); -moz-box-shadow: 0px 5px 6px -4px rgba(0, 0, 0, 0.75); box-shadow: 0px 5px 6px -4px rgba(0, 0, 0, 0.75);}
.expandDataLineSeparator{cursor: pointer}
.dataLineSeparator.expandDataLineSeparator.topExpandDataLineSeparator{margin-top: 0;}
    .dataBlockGroupedSigned{float:right; cursor: pointer; font-weight: bold;margin-left: 10px; font-size: 17px;}
    	.dataBlockGroupedSidesContainer{display: block; position: relative; width: 100%;}
    		.dataBlockGroupedSide{display: inline-block; position: relative; vertical-align: top;}
    		.dataBlockGrouped_leftSide_60_30{width: 72%; margin-right: 5%;}
    		.dataBlockGrouped_rightSide_60_30{width: 22%; height: 100px;}


.expandDataLineList{-webkit-box-shadow: 0px 5px 6px -4px rgba(0, 0, 0, 0.75); -moz-box-shadow: 0px 5px 6px -4px rgba(0, 0, 0, 0.75); box-shadow: 0px 20px 25px -25px rgba(0, 0, 0, 0.75);}


/* Vertical separator */
.dataLineVerticalSeparator{color: #999; font-size: 15px; margin-bottom: 5px; margin-top: 15px;}
	.dataLineVerticalSeparatorLineContainer{display: inline-block; width: 67%; margin-right: 3%; vertical-align: middle;}
	.dataLineVerticalSeparatorTextContainer{display: inline-block; width: 30%; vertical-align: middle; text-align: left;}


/* Line data */
.dataLine{display: block; width: 100%; margin: 10px 0 8px;}
    .dataInLineElement.joinedDataInLineElement{margin-right: 12px;}
    .dataInLineElement.lastDataInLineElement{margin-right: 0px;}
    .dataInLineElement.blockDataInLineElement{display: block; margin-top: 10px;}

    .dataInLineElement{display: inline-block; margin: 0 35px 0 0;vertical-align: middle; font-size: 15px;}
        .dataInLineTitle{display: inline-block; width: 88px; vertical-align: middle;}
        .dataInLineTitle.textareaInLineTitle{vertical-align: top;}
        .dataInLineTitle.dataInLineDatasheetTitle{width: 100px;}
            .dataText{font-size: 15px}
        .dataInLineValue{display: inline-block; vertical-align: middle; text-align: left;}
        .dataInLineValue *{text-align: left;}
        	.dataInputActionButton{display: inline-block; position: relative; vertical-align: middle; margin-right: 7px; padding: 4px !important; width: 30px; background-color: #008f40; color: #fff; font-size: 16px; font-weight: bold;}
            .dataInput{padding: 3px 8px 4px; margin-right: 7px;border: 1px solid #ccc; border-radius: 3px; text-align: left; font-size: 14px; vertical-align: middle;}
            .dataInput.dateFormatInput{width: 74px !important;}
            .dataInput.dataInputDatasheet{width: 130px;}
            .dataLink{margin-left: 10px; color: #007aFF: cursor: pointer;}
            .dataLink_inactive{margin-left: 10px; color: #bbb;}
            .dataEmptyLink{margin-left: 10px; color: #ccc}
            .dataInLineDetail{font-size: 13px; color: red;}
            .dataInLineInformation{font-size: 14px; color: #189CD9;}
            .dataInLineOptionIconContainer{display: inline-block; vertical-align: middle; height: 22px; width: 22px; cursor: pointer}
        .dataInLineSeparator{display: inline-block; vertical-align: middle; text-align: left; font-size: 15px;}
      	.dataInLineText{display: inline-block; vertical-align: middle; text-align: left; font-size: 15px;}
      	.dataInLineContainer{display: inline-block; vertical-align: middle; text-align: left; font-size: 15px;}
      		.dataOptionIcon{display: inline-block; position: relative; height: 18px; width: 18px; vertical-align: middle; cursor: pointer;}

	        .dataInputSelect{-webkit-appearance: none; -moz-appearance: none; appearance: none; font-size: 14px; height: 25px; vertical-align: middle;border: 1px solid #ccc; border-radius: 3px; margin: 0; padding: 0 14px 0 3px;
							background-image: linear-gradient(45deg, transparent 50%, gray 50%), linear-gradient(135deg, gray 50%, transparent 50%), linear-gradient(to right, #ccc, #ccc);
							background-position: calc(100% - 7px) calc(11px + 0px), calc(100% - 2px) calc(11px + 0px), calc(100% - 14px) 2px;
							background-size: 5px 5px, 5px 5px, 1px 19px; background-repeat: no-repeat;
			}
	        .dataInputSelectDetail{border-radius: 0px;color: red !important;}
	        .dataPlaceSelect.dataPlaceSelectFilterTitle{font-weight: bold; font-size: 17px;}
	            .dataPlaceOption{font: inherit;}
	                .dataPlaceOptionLabel{font: inherit;}

    .dataSelectElement{display: inline-block;}
        .dataSelect{margin-right: 2px;vertical-align: middle;}
        .dataSelectTitle{display: inline-block; vertical-align: middle;}
            .dataTitle{font-size: 15px;}
            .dataSubTitle{font-size: 14px; font-style: italic;}
            .dataExplainTitle{font-size:13px; color: #666;}
            .dataExplainTitle.dataExplainClickedTitle{color: #189CD9 !important; cursor: pointer; }
            .dataExplainTitle.dataExplainClickedTitle:hover{text-decoration: underline;}
     	.dataSelectImage{display: inline-block; vertical-align: middle; height: 20px; width: 20px;}

    .dataLineFootNote{font-size: 14px; margin: 10px 0px 0; margin-left: 74px;color: red;}

/* Line data fat eparator */
.singleDataLineSeparator{display: block; position: relative; margin: 22px 30px 12px 0px; }


/* Context line separator */
.contextDataLineSeparator{display: block; position: relative; border-top: 1px solid #ddd; text-align: right; text-decoration: underline;
					      font-size: 14px; color: #aaa; padding: 4px 0 2px 0; max-width: 90%; margin: 20px 0 10px;}


/** Page Counters **/
/*******************************************************************/
.itemPageCountDataContainer{display: block; position: relative; margin: 10px 0 20px; padding-top: 10px;font-size: 15px; text-align: center; border-top: 1px solid #aaa;}
	.itemPageCountDataSelectContainer{display: inline-block; position: relative; vertical-align: top; color: #189CD9;}
		.itemPageCountDataSelectLimitArrow{vertical-align: top;}
		.itemPageCountDataSelectLimitArrow:hover{font-weight: bold;}
		.itemPageCountDtaSelectLimitHideArrow{visibility: hidden;}
		.itemPageCountDataSelectLimitLeftArrow{margin-right: 5px;}
		.itemPageCountDataSelectLimitRightArrow{margin-left: 5px;}
		.itemPageCountDataSelectLimitData{vertical-align: middle;}

	.itemPageTotalCountContainer{display: block; position: absolute; top: 10px; right: 0; color: #189CD9; font-size: 14px;}


/** Footer buttons element **/
/*******************************************************************/
.buttonsLine{display: block; margin-top: 30px;}
.buttonsLineBlock{display: block; position: relative; width: 100%; margin-top: 25px; min-height: 30px; text-align: right; padding-bottom: 15px;}
	.submitButtonContainer.submitButtonShortMarginContainer{margin: 5px 5px 8px;}
	.submitButtonContainer.submitButtonLongMarginContainer{margin: 5px 5px 15px;}

    .submitButton{float: none; min-width: 150px; padding: 6px 8px; font-size: 15px; color: white; border-radius: 2px; cursor: pointer; background-color: #20BC93}
    .submitButton[value=close_window]{background-color: #189CD9;}
    .submitButton.submitButtonLeft{float: left; margin-right: 20px;}
    .submitButton.submitButtonRight{margin-left: 20px;}
    .submitButton.submitButtonRed{background-color: #FF9088;}
    .submitButton.submitButtonBlue{background-color: #189CD9;}
    .submitButton.submitButtonGreen{background-color: #20BC93;}
    .submitButton.submitButtonGray{background-color: #008f40;}

    .submitButton.submitButtonEmptyWhite{background-color: #fff; color: #189CD9; border: 1px solid #189CD9;}
    .submitButton.submitButtonEmptyGreen{background-color: #fff; color: #008f40; border: 1px solid #008f40;}
    .submitButton.submitButtonEmptyRed{background-color: #fff; color: #f55; border: 1px solid #f55;}

    .submitButton.submitButtonFullWitdh{width: 100%;}


/*********************/
/** Small Opt icons **/
.verySmallButtonOptionContainer{display: inline-block; position: relative; width: 19px; height: 19px; margin-left: 5px; vertical-align: middle; cursor: pointer;}
.verySmallButtonOptionContainer.verticalButtonOption{display: block; margin-bottom: 5px;}

.smallButtonOptionContainer{display: inline-block; position: relative; width: 24px; height: 24px; margin-left: 5px; vertical-align: middle; cursor: pointer;}
.smallButtonOptionContainer.verticalButtonOption{display: block; margin-bottom: 5px;}

.mediumButtonOptionContainer{display: inline-block; position: relative; width: 27px; height: 27px; margin-left: 6px; vertical-align: middle; cursor: pointer; }
.mediumButtonOptionContainer.verticalButtonOption{display: block; margin-bottom: 5px;}

.singleIconImageContainer{display: inline-block; position: relative; width: 18px; height: 18px; margin-left: 6px; vertical-align: middle; cursor: pointer; }
.singleIconImageContainer.verticalButtonOption{display: block; margin-bottom: 5px;}



/** Unlogin page **/
/*******************************************************************/
#loginScreen{display: block; position: relative;width: 100%; z-index: 0;}
    #loginDefineTextContainer{text-align: center; margin: 50px auto}
        #loginDefineText{}

    #mainContainer{display: block; position: relative; width: 100%; height: 100%; top: 0; left: 0; text-align: center}
    	#unlogedFrame{display: block;text-align: center;}
		    #loginFormContainer{display: inline-block; padding: 35px 100px; margin-top: 100px; border: 1px solid #ddd; border-radius: 40px;
		                        -webkit-box-shadow: 0px 0px 8px #aaa;-moz-box-shadow: 0px 0px 8px #aaa;box-shadow: 0px 0px 8px #aaa;
		                        background-color: white; opacity: 0.9; font-size: 16px;}
		        .loginFormField{display: block; position: relative; width: auto;  margin: 0.75em auto; padding-left: 0.3em;
		                        font-size: 1em; border: none; border-bottom: 1px solid #ccc;border-radius: 2px;}
		            .accessImage{max-height: 1.4em; margin-right: 0.4em; vertical-align: middle;}
		            .loginFromInput{width: 12em; height: 1.5em;font-size: 1em; margin: 0; padding: 0.25em 0.3em;
		                           vertical-align: middle; border: none;}
		        #buttonFormField{margin-top: 1.5em;}
					#loginFormAccessButton{background-color: #189CD9; width: 200px; color: #fff;}

